FindPhonon.cmake fails to find phonon library on win32
12/20/2008 04:29 PM - seezer

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.6.0

Version: 0.4.0 0S: Any
Description

QT_PHONON_LIBRARY is set correctly (via FindQt4.cmake) but PHONON_LIBRARY is not due to different NAMES arguments.

Attached is a patch which adopts the NAMES from FindQt4.

(tested only on win32 with gt-4.4.3)

History

#1 - 12/28/2008 01:52 AM - Sputnick

- Priority changed from High to Normal

#2 - 03/04/2009 02:28 PM - APTX

On windows all release Qt libraries have a "4" appended for example: QtCore4.dll phonon4.lib

All debug Qt libraries have "d4" appended for example: QtCored4.dll phonond4.lib

#3 - 03/04/2009 07:30 PM - APTX

The version number is appended only if Qt is built dynamically. Libs in a static Qt build do not have the "4" appended.

#4 - 04/22/2009 07:34 AM - Squider

The 0001-Enhance-FindPhonon.patch makes the release build link to the debug libraries, so this should be looked into with some care. This probably

needs modifications to FIND_LIBRARY_WITH_DEBUG as well to make things work on all platform and with both static and shared linkage.

#5 - 02/17/2010 12:18 AM - seezer
- Status changed from Assigned to Resolved

- Target version set to 0.6.0

Solved in 0a63415ba90b58da6c79cf27ff333a3d1bc52986

Files

0001-Enhance-FindPhonon.patch 1.47 KB 12/20/2008
